# Packaging Script for Lazy People
# Gamall Wednesday Ida

# sources 
src="*.ml *.c *GaTeX.source format.ini"
bin="logfilter logfilter.exe"
mak="*.sh *.bat"
rea="README*"

# destination
new="Logs-Filter"
zip=${new}".zip"
newsrc=${new}"/src"
newbin=${new}"/bin"
newdoc=${new}"/doc"

# remove old packs
echo "CLEAN UP"

rm -r $new
rm $zip

#echo "COMPILING"

#rm $bin
#./LINUX-BUILD.sh

echo "MAKING README"

GaTeX.exe F:\readme-logf.GaTeX.source

mkdir -pv $newdoc

docu=$newdoc"/docu.txt"
./logfilter --help > $docu
./logfilter --docu >> $docu

echo "OCAMLDOC"

ocamldoc -d $newdoc -html *.ml

echo "PACKAGING"

# create dirs
mkdir -p $newsrc
mkdir -p $newbin

#copy goods
cp $mak $newsrc
cp $src $newsrc
cp $bin $newbin
cp $rea ${new}"/README.TXT"
cp $docu $new

echo "COMPRESSING"

zip -r -9 $zip $new